sylius_admin:
    resource: "@SyliusAdminBundle/Resources/config/routing.yml"
    prefix: '/%sylius_admin.path_name%'

sylius_paypal_admin:
    resource: "@SyliusPayPalPlugin/Resources/config/admin_routing.yml"
    prefix: '/%sylius_admin.path_name%'

sylius_admin_customer_index:
    path: /admin/customers/
    controller: App\Controller\Admin\CustomCustomerController::index
        
sylius_admin_customer_show:
    path: /admin/customers/{id}
    controller: App\Controller\Admin\CustomCustomerController::show
    methods: [ GET ]

sylius_admin_login_as_customer:
    path: /admin/login-as-customer/{id}
    controller: App\Controller\Admin\LoginAsCustomerController::loginAsCustomer
    
sylius_admin_customer_group_list:
    path: /admin/api/customergroup/list
    controller: App\Controller\Admin\CustomCustomerGroupController::list
    methods: [ GET ]
    
sylius_admin_customer_group_show:
    path: /admin/customers/groups/{id}
    controller: App\Controller\Admin\CustomCustomerGroupController::show
    methods: [ GET ]
    
sylius_admin_customer_group_store:
    path: /admin/customers/groups/store
    controller: App\Controller\Admin\CustomCustomerGroupController::store
    methods: [POST, PUT]

sylius_admin_customer_group_delete:
    path: /admin/customers/groups/{id}/delete
    controller: App\Controller\Admin\CustomCustomerGroupController::delete
    methods: [DELETE]

